# tbb::spin_mutex::scoped_lock Class Reference

Represents acquisition of a mutex. More...

`#include <spin_mutex.h>`

List of all members.

## Public Member Functions

| scoped_lock ()
| Construct without acquiring a mutex.
| scoped_lock (spin_mutex &m)
| Construct and acquire lock on a mutex.
void | acquire (spin_mutex &m)
| Acquire lock.
bool | try_acquire (spin_mutex &m)
| Try acquiring lock (non-blocking).
void | release ()
| Release lock.
| ~scoped_lock ()
| Destroy lock. If holding a lock, releases the lock first.

## Friends

class | spin_mutex

## Detailed Description

Represents acquisition of a mutex.

## Member Function Documentation

bool tbb::spin_mutex::scoped_lock::try_acquire | ( | spin_mutex & | m | ) | `[inline]`

Try acquiring lock (non-blocking).

Return true if lock acquired; false otherwise.

The documentation for this class was generated from the following file:

- spin_mutex.h

Copyright © 2005-2012 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.